local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ReputationUIShadowlands(container)









--[[ Scroll Frame ]]--



local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --[[ Material List ]]--
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CShadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("All Shadowlands Guides for Covenants and Storyline progression.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  --[[ Guides ]]-- 
  
   local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")  
  desc:SetText('|TInterface\\Icons\\pvecurrency-valor:32|t '.."|cff00C78CNeutral :")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 


  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Enlightened")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
core.TheEnlightenedGuide(container)
  
  end)
  
  
  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Ascended")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheAscendedGuide(container)
  
  end)
  
 
  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Undying Army")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheUndyingArmyGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Wild Hunt")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheWildHuntGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Court of Harvesters")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.CourtofHarvestersGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Ve'nari")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.VenariGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Avowed")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheAvowedGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Court of Night")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.CourtofNightGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Deaths Advance")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.DeathsAdvanceGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Archivist's Codex")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheArchivistsCodexGuide(container)
  
  end)


  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Ember Court")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.EmberCourtGuide(container)
  
  end)





























 
  
  
  
  
  
  
  
  end